+++
aliases = [ "ucoin-rename-duniter",]
date = 2016-04-24
title = "uCoin devient Duniter !"

[extra]
thumbnail = "/PELICAN/images/duniter-logo.png"

[taxonomies]
authors = [ "cgeek",]
tags = [ "uCoin",]
category = [ "Moteur blockchain",]
+++

# uCoin devient Duniter !

À partir d'aujourd'hui, et à l'occasion de l'arrivée du protocole 0.2, le projet *uCoin* devient *Duniter*. uCoin fut un nom choisi au démarrage par son créateur cgeek, et avec le recul nous estimions qu'il ne représentait plus le logiciel que nous souhaitions développer.

## Pourquoi uCoin ne convenait pas ?

Le nom uCoin était là pour faire penser aux cryptomonnaies comme Bitcoin. Le U de uCoin (prononcez "You") voulait faire passer l'idée que c'était "Vous, l'utilisateur, qui alliez créer la monnaie". Mais ce parallèle avec Bitcoin était mal choisi à plusieurs titres :

* le terme « coin » laissait penser que uCoin était une monnaie, et plus   encore *une seule* monnaie alors que le logiciel permet d'en créer une   multitude
* le terme « you » pouvait faire penser à des monnaies individuelles, alors   qu'une monnaie uCoin est commune et co-produite par ses utilisateurs, et   donc pas individuelle
* notre logiciel utilise certes une blockchain, mais celle-ci est   particulière au sens où il n'y a pas de course à la puissance
* une monnaie nommée uCoin a vu le jour durant nos développements mais basée   sur Bitcoin, apportant donc une confusion vis-à-vis de notre projet *dont   elle ne fait pas partie*

Dernier point mais non des moindres, trouver une [idée de logo](https://forum.duniter.org/t/need-a-logo-for-ucoin/138) pour uCoin fut extrêmement difficile. Après plus d'une centaine de commentaires sur le forum, nous n'étions toujours pas satisfaits. Nous avons alors compris que le nom actuel ne permettait pas de communiquer les idées fondatrices du projet. Et depuis la sixième édition des rencontres des monnaies libres, nous étions à la recherche d'un nom alternatif.
## Présentons Duniter

« Duniter » pour « Dividend Uniter » : le logiciel qui *fait* l'unité Dividende.

Le nom que nous cherchions devait faire passer plusieurs idées :     

### Concept de Flux

Ce concept est fondamental pour nous. En effet, nous prenons acte du fait que les humains ont une espérance de vie limitée, et que l'arrivée et le départ d'individus dans l'économie forment un flux continu. Le logiciel prend en compte cet aspect à travers la forme de la monnaie et de ses membres, les individus.

<span class="center-content">![flux](/PELICAN/images/ucoin-rename-duniter/flux_comp.gif)<br/> *Le flux humain en France de 1920 à 2020*</span>

Le renouvellement au sein du flux *à travers l'espérance de vie* permet de déduire le taux de croissance monétaire impliquant une symétrie monétaire spatiale et temporelle entre les individus.
### Concept de Relativité

Un taux de croissance de 10 % fait grossir les nombres de 0,8 % par mois. Dans ce référentiel, il n'est pas aisé de comparer des valeurs sur des années d'écarts en comparant ces nombres. Mais dans notre logiciel, les individus émettent un dividende universel (abrégé « DU »). Celui-ci est stable et ne change pas : il vaut toujours 10 % de la masse monétaire. Ainsi, en comparant les nombres *relativement* au DU créé, nous pouvons comparer et mesurer avec un référentiel stable dans le temps.

<span class="center-content">![Relative and Quantitative](/PELICAN/images/ucoin-rename-duniter/flux_comp2.gif)  <br/>*La masse monétaire, les comptes, et les dividendes des dix membres*</span>

C'est pourquoi « Duniter » signifie « Dividend Uniter », car ce nom souhaite évoquer l'unité dividende particulière aux monnaies libres : le Dividende Universel ou « DU » .
### Logiciel de génération de monnaies, au pluriel

Le nom du logiciel devait faire comprendre qu'il permet de générer des monnaies libres. C'est donc chacun, en initialisant son propre réseau Duniter, qui pourra créer et nommer une nouvelle monnaie. Le nom ne devait donc pas faire penser que c'était un nom de "monnaie" mais un nom de "logiciel". C'est pourquoi le nouveau nom a une telle consonance et n'évoque plus la monnaie de façon directe à travers la suppression du terme « coin ».

Dividend Uniter, ou Duniter exprime ainsi mieux le concept d'outil de création de monnaies libres par dividendes universels.
## Logo Duniter

Avec ce nouveau nom, plus évocateur, le logo a rapidement été trouvé. Il évoque les dunes de sables balayées par le vent.  La dune est un flux invisible, une entité perpétuelle. De nouveaux grains de sables alimentent constamment la dune représentée dans le logo Duniter, tandis que d'autres sont emportés par le vent, faisant de celle-ci une entité changeante mais stable. Tout comme le flux des individus et de la monnaie.

<span class="center-content">![Duniter logo](/PELICAN/images/duniter-logo.png)</span>

## Changements

### Un nouveau protocole

Le changement de nom est l’occasion pour nous d'utiliser une nouvelle version du protocole (0.2), non compatible avec le précédent (0.1). Duniter devient la nouvelle implémentation de référence qui corrige et améliore son ancêtre uCoin de façon décisive.

Ce protocole permet notamment [l'échange inter-monnaies](http://duniter.org/transactions-0-2-overview/) *sans tiers de confiance*, fonctionnalité particulièrement intéressante pour convertir une monnaie en une autre facilement, librement et de manière totalement sécurisée.
### Une interface graphique !

Duniter introduira l'ajout d'une interface graphique pour l'utilisation du logiciel, dont vous pouvez voir un aperçu ci-dessous ! *Enfin*, le logiciel s'ouvre à un plus vaste panel d'utilisateurs que les seuls habitués de la console Linux.

<span class="center-content">![Duniter UI](/PELICAN/images/ucoin-rename-duniter/board.png)</span>

### Une nouvelle monnaie !

Nous allons prochainement démarrer une nouvelle monnaie. Celle-ci aura pour but de permettre une utilisation en conditions réelles : il s'agira d'une monnaie **expérimentale** à l'instar du Bitcoin il y a 7 ans.

Le lancement sera annoncé sur les blog, forum, groupes de discussion, Diaspora*, Twitter et autres, suivez-nous donc pour être informés au plus tôt ! Et pour les plus impatients, vous pouvez aussi passer sur le [salon XMPP](https://chat.duniter.org) où vous pourrez obtenir les toutes dernières informations en date .
### Migration de nos outils

Le nom du projet changeant, les adresses web de nos outils changent également :

* Dépôts de développements : https://github.com/ucoin-io –> https://github.com/duniter
* Site web : http://ucoin.io –>  http://duniter.org
* Forum : https://forum.ucoin.io –> https://forum.duniter.org
* Traduction : http://weblate.ucoin.io –> http://weblate.duniter.org
* Hébergement de notre serveur XMPP, salon de discussion :  ucoin@muc.jappix.com –> duniter@muc.duniter.org

 A noter que tous les anciens liens en http://ucoin.io seront automatiquement redirigés vers le même lien en http://duniter.org, de façon à conserver leur validité tout en basculant vers le nouveau nom.

N'hésitez pas à nous dire ce que vous pensez de ce nouveau nom sur le [forum](https://forum.duniter.org/t/ucoin-renames-to-duniter/810) ou encore en participant aux [7èmes rencontres des monnaies libres à Laval du 2 au 5 Juin prochain](http://www.ucoin.fr/rml/) !

Vous pouvez maintenant faire savoir autour de vous que uCoin a changé de nom, et est devenu Duniter ! 

