+++
aliases = [ "pre-inscriptions-g1",]
date = 2017-02-16
title = "Pré-inscriptions à Ğ1"

[extra]
thumbnail = "/PELICAN/images/LOGOGG1generic.svg"

[taxonomies]
authors = [ "cgeek",]
tags = [ "Ğ1", "Ğ1-Test",]
+++

# Pré-inscriptions à Ğ1

La monnaie ĞTest, visant à tester les logiciels Duniter, Cesium et Sakia dans des conditions d'utilisation quasi-réelles, a été lancée il y a bientôt un mois pour une durée prévue de deux mois. Nous sommes donc à mi-parcours.

À cette occasion nous avons accueilli 67 membres, et une quinzaine de personnes est encore en attente pour participer. Par ailleurs, ces membres ont réalisé 689 transactions et donné 431 certifications soit à des membres existants, soit à des nouveaux venus.

<span class="center-content">![Logos Sakia, Duniter et Cesium](/PELICAN/images/logos/sdc_trilogo.jpg)</span>

Cette activité a permis de débusquer quelques bugs résiduels importants, mais aucun d'entre eux ne remettait véritablement en cause la stabilité et la maturité des logiciels pour une utilisation « réelle ». Nous en venons donc à la suite logique de cette expérience : si tous les feux sont au vert, et alors que ĞTest montre ses limites (nous les avions prévues), il convient de passer à l'étape supérieure.

Nous n'attendrons donc pas plus longtemps et allons *ouvrir les pré-inscriptions à une monnaie libre P2P dite « officielle »*, nom de code : **Ğ1**.

Ce billet a pour but de vous guider dans ce processus.

[TOC]

> Vous pouvez commenter ce billet sur [ce sujet dédié du forum](https://forum.duniter.org/t/pre-inscriptions-a-g1/1827).

## Qui peut se pré-inscrire ?

Les pré-inscriptions sont réservées à une partie des utilisateurs : **participants aux monnaies de test (TestNet, ĞTest) et aux Rencontres des Monnaies Libres**. Par ailleurs, cinq certifications sont nécessaires pour être reconnu dans la toile de confiance. Il faudra donc remplir ces trois conditions pour avoir une pré-inscription valide.

Si vous avez participé aux RML mais n'avez pas participé aux tests, il vous est encore possible d'essayer ĞTest afin de remplir cette condition. Dans tous les cas, il faudra aussi obtenir cinq certifications.

> **Personne n'échappera à ces trois conditions d'entrée** : le choix des membres initiaux est une opération manuelle réalisée par nos soins, nous excluront toute personne ne répondant pas à ces critères. **Les membres initiaux doivent se connaître physiquement, c'est un pré-requis.**

## Comment se pré-inscrire ?

Les outils sont les mêmes : 

* [Cesium pour Ğ1](https://cesium.app/)
* [Sakia](http://sakia-wallet.org/) (version 0.30.8 ou supérieure) lancé avec l'option `--currency g1`.

Pour ces pré-inscriptions, nous reprenons la même méthode que TestNet ou ĞTest : [reprenez votre demande du forum](https://forum.duniter.org) et mettez-la dans la catégorie « Currencies > Ğ1 », ou créez une nouvelle demande avec un lien vers l'ancienne.

Vous n'êtes pas obligés d'utiliser cette méthode, toutefois nous la conseillons pour avoir un peu de visibilité et d'échanges entre les utilisateurs. Par ailleurs, nous vous **conseillons fortement de lire** [ce billet de recommandations](https://forum.duniter.org/t/recommandations-de-securite-a-lire-avant-de-creer-votre-compte-g1/1829) pour choisir vos identifiants secrets.

> Vos identifiants secrets de TestNet ou ĞTest pouvaient être faibles (votre@email // toto61), mais nous vous incitons fortement à en choisir de nouveaux et bien plus difficiles à deviner pour Ğ1.

## Combien de temps durera la phase de pré-inscriptions ?

Nous avons prévu de la faire durer entre deux et trois semaines. Mais selon l'affluence, nous pourrions avancer ou repousser l'échéance. Vous pourrez suivre l'évolution des inscriptions sur le forum, où nous commenterons l'avancement et les décisions éventuelles d'échéance.

## Pourquoi restreindre les pré-inscriptions ?

Principalement pour deux raisons : avoir une toile *de confiance*, c'est-à-dire dont les identités sont connues et proches, et pour que les premiers utilisateurs soient d'abord les plus motivés et autonomes.

* Une toile initiale de confiance : car la monnaie sera créée par les membres, et uniquement eux, la qualité de la toile est très importante : débuter avec une toile bien connue de tous permettra d'étendre la confiance *ensuite* à de nouveaux venus, et sereinement.

* Des utilisateurs autonomes : car nous aurons certainement de nombreuses problématiques techniques à gérer, il convient que ce soient les membres les plus avertis qui transmettent leurs connaissances plutôt que les développeurs, et que cette connaissance s'étende progressivement par la suite, d'un nouveau venu à l'autre. Ceux ayant participé à TestNet ou ĞTest sont donc tout indiqués !

Le but est d'avancer progressivement mais sûrement vers notre destination : une monnaie qui tourne !

## Qui pourra s’inscrire par la suite ?

N'importe qui, dans le cadre des règles de la toile de confiance. Ce qui signifie : 

* créer une identité sur la toile
* obtenir cinq certifications de cette identité par des membres actuels de la toile de confiance
* ne pas être à plus de cinq pas des membres référents

Ces conditions sont vérifiées par le logiciel, tout est automatisé. En revanche, l'obtention des certifications *est une étape manuelle et humaine* : vous devrez vous adresser à vos semblables pour cela, leur intervention personnelle et manuelle sera requise.

Nous réaliserons une page dédiée à cette procédure une fois Ğ1 démarrée.

## Une personne non-inscrite pourra-t-elle utiliser Ğ1 ?

Oui, l'inscription n'est obligatoire que pour devenir membre : ce statut particulier est le seul à pouvoir *créer de la monnaie* et certifier d'autres membres.

Mais il est tout à fait possible de se créer un compte qui ne fait que portefeuille : simplement, un tel compte ne pourra ni créer de monnaie ni certifier d'autres comptes.

## Une entreprise ou association pourra-t-elle utiliser Ğ1 ?

Oui, de la même façon qu'un non-membre : le compte peut alors recevoir et envoyer de la monnaie, et c'est tout. Il s'agit d'un compte portefeuille.

## Quels sont les paramètres de Ğ1 ?

Cette partie est un peu technique : nous y détaillons le sens de chaque paramètre de la monnaie.

### Nom de code de la monnaie

Il s'agit de Ğ1, et plus techniquement `g1`.

### Inscription

Tout nouveau venu dispose d'un délai de `deux mois` pour créer son identité et entrer dans la toile de confiance. S'il échoue dans ce délai, malgré l'obtention de plusieurs certifications, il devra tout recommencer.

### Dividende Universel

Chaque membre de la monnaie produit quotidiennement et automatiquement une part nouvelle de monnaie, le Dividende Universel (DU).

Ce DU démarrera à `10,00 Ğ1`, puis verra sa valeur quotidiennement augmentée pour tendre vers un taux de croissance de la masse monétaire globale `c = 0,026 %/jour`, soit environ `c = 10%/an`.

> Dit autrement, la quantité totale de Ğ1 en circulation augmente de 10 % par an, et chaque utilisateur est co-créateur d'une partie de ces 10 %.

**Cette augmentation est lente**. Le taux cible `c = 10%/an` ne sera pas atteint avant plusieurs années d'utilisation.

### Nombre de certifications pour être membre

Que ce soit pour devenir membre ou le rester, tout individu doit *en permanence* bénéficier de `cinq certifications` valides. 

Tout individu qui n'aurait pas cinq certifications ne peut prétendre à entrer dans la toile de confiance. De même, tout membre qui se retrouverai avec quatre certifications du fait de la péremption de certifications précédentes se voit immédiatement exclu et devra à nouveau collecter les certifications manquantes pour devenir à nouveau membre.

> Les certifications d'un membre exclu persistent : dont un membre se retrouvant avec quatre certifications n'a besoin que d'une seule nouvelle certification pour revenir dans la toile.

### Stock de certifications

Chaque membre dispose d'un stock maximum de `100` certifications. Ce stock est décrémenté à chaque certification émise et incrémenté chaque fois qu'une certification périme.

### Durée de validité d'une certification

Une certification périme selon deux modalités : 

* en piscine, c'est-à-dire avant d'être inscrite en blockchain, une certification périme au bout de `deux mois`
* une fois inscrite en blockchain, une certification périme au bout de `deux ans`

> Cela implique que lorsque vous certifiez une personne, c'est pour une durée de `deux ans`. Ne prenez donc pas cette opération à la légère !

Par ailleurs, il est possible de rejouer une certification : cela consiste à certifier à nouveau la même personne. Cette opération n'est possible qu'une fois la précédente certification périmée.

### Durée inter-certifications

Le rythme maximum d'écriture de certification est d’`une certification tous les cinq jours`. C'est-à-dire qu'un membre peut émettre plusieurs certifications simultanément, mais celles-ci ne seront inscrites *au mieux* qu'au rythme d’une tous les cinq jours.

Un membre émettant trois certifications verrait donc celles-ci inscrites au mieux au bout de dix jours : 

* la 1ère de façon immédiate
* la 2ème cinq jours plus tard
* la 3ème dix jours après la 1ère

### Renouvellement d’adhésion

Tout membre est présent en toile pour une durée d’`un an` (sous réserve de conserver cinq certifications minimum en permanence).

À tout moment, le membre peut renouveler son adhésion pour une durée d’`un an`. S'il ne le fait pas, il sera exclu automatiquement au bout de cette échéance. Si `deux ans` se sont écoulés depuis son dernier renouvellement (ou depuis son entrée si jamais renouvelé), alors le membre est considéré définitivement exclu : il ne pourra rentrer à nouveau qu'à travers une toute nouvelle identité.

### Distance

Tout membre qui entre dans la toile de confiance ou se renouvelle doit respecter la règle de distance : il doit se trouver à un maximum de `cinq pas` de `80 %` des membres référents grâce aux certifications.

Autrement dit, il doit exister pour au moins `80 %` des membres référents, un chemin partant de chacun d'eux menant au nouveau venu ou membre qui se renouvelle utilisant les certifications établies dans la toile.

S'il ne respecte pas cette règle, le nouveau venu ne peut pas être intégré à la toile, et celui qui tente de se renouveler ne peut pas le faire.

> Les membres référents sont les membres ayant émis et reçu suffisamment de certifications pour faire partie du calcul de distance. Le nombre de certifications dépend la taille de la toile. La formule est `PLAFOND(N^(1/5))`, ainsi : 
>
> * Pour une toile <= 32 membres : 2 certifications sont nécessaires
> * Pour une toile <= 243 membres : 3 certifications sont nécessaires
> * Pour une toile <= 1.024 membres : 4 certifications sont nécessaires
> * Pour une toile <= 3.125 membres : 5 certifications sont nécessaires
> * Pour une toile <= 7.776 membres : 6 certifications sont nécessaires
> * ...

### Temps moyen de génération d’un bloc

Le temps entre l’écriture de deux blocs dans la blockchain est configurée pour être en moyenne de `cinq minutes`.

### Temps de référence

Le temps de référence est évalué comme la moyenne des temps locaux dans les `24` derniers blocs.

### Réévaluation de la difficulté

La blockchain réévalue la difficulté commune tous les `12 blocs`, afin d'atteindre les cinq minutes par blocs en moyenne.

### Rotation de l’écriture

De façon permanente, `33 %` des membres calculateurs de blocs sont exclus de l'écriture de la blockchain.

## Quel avantage à faire partie des membres initiaux ?

Les membres initiaux ont deux avantages sur tous les autres lors du bloc#0, le bloc « genesis », celui qui fait tout démarrer : 

* toutes leurs certifications sont inscrites immédiatement
* la règle de distance ne leur est pas appliquée

Bien sûr, ce « privilège » n'existe qu'à cet instant précis. Dès le bloc suivant, toutes les règles de la toile de confiance sont activées. Donc pour renouveler leur identité, les membres devront passer la règle de distance. De même, ils devront attendre cinq jours pour passer leur prochaine certification.

À noter également : les membres initiaux sont les tout premiers utilisateurs à créer de la monnaie, le lendemain de la création du bloc#0.

## Et ma part de monnaie ?

Duniter produit une monnaie libre, son but est précisément d'assurer qu'en moyenne, tout individu produise la même part de monnaie. Et donc, peu importe le moment où vous arrivez, vous produirez en moyenne la même part de monnaie au cours de votre existence.

Bien sûr, un membre présent depuis dix ans aura produit relativement plus qu'un membre présent depuis deux mois, mais au bout de 40 années la différence est totalement gommée.

> Pour comprendre davantage ces propriétés de la monnaie libre, étudier la [Théorie Relative de la Monnaie](http://trm.creationmonetaire.info).

## Pourquoi Ğ1 est dit « officiel » ?

Ğ1 est dite « officielle » en ce que ses paramètres sont *compatibles* avec une prise de poids économique. Cela ne dit donc rien quant à son évolution : notamment dans l'hypothèse d'une adoption de cette monnaie par cent utilisateurs au bout de dix ans, ou encore si le logiciel ou son protocole contenait des failles incompatibles avec un fonctionnement acceptable, alors il est bien évident que ce poids économique resterait négligeable voire inexistant.

Ces précisions étant posées, vous êtes libre d'adhérer à cette monnaie dans le respect des règles que nous avons développées pour protéger les membres participant déjà de sa production.

## Faut-il continuer à utiliser ĞTest ?

ĞTest est actuellement la seule monnaie Duniter en cours de fonctionnement. Comme Ğ1 ne sera pas démarré avant deux ou trois semaines, si vous souhaitez tester la monnaie libre et ses outils, ĞTest est le meilleur moyen d'y parvenir.

De plus, nous pouvons encore y découvrir des bugs. Mais si son utilisation est arrêtée, alors il est certain que nous ne découvrirons rien !

## Pourquoi le nom Ğ1 ?

Le projet Duniter fait régulièrement un parallèle avec le lancement d'une fusée, ĞTest n'y a d'ailleurs pas échappé avec son logo de lancement : 

<span class="center-content">![La ĞTest propulsée par la fusée Duniter](/PELICAN/images/g1_start/rocket.jpg)</span>

De la même manière, Ğ1 fait allusion aux noms de fusées/lanceurs spatiaux : Ariane 1, Ares I, Saturn I, … et ici, c'est le tout premier Ğ : c'est donc Ğ1.

Par ailleurs, Ğ fait référence à une notion de logique développée par l'auteur de la Théorie Relative de la Monnaie, et participe d'ailleurs au fondement de cette dernière et donc à la monnaie libre : plus d'informations sur http://www.glibre.org

À noter que Ğ1 est *nom de code*, une façon de nommer la monnaie techniquement. La communauté d'utilisateurs de Ğ1 peut donc librement décider du nom commun qui lui conviendra pour désigner cette monnaie.

## Qui contrôle Ğ1 ?

Ğ1 est une monnaie libre pair à pair : une fois lancée, nous (développeurs initiaux) n'en avons plus le plein contrôle. Les utilisateurs sont co-responsable de cet outil et de son exécution logicielle.

Pour faire un parallèle avec un État, les développeurs sont en quelque sorte le pouvoir législatif tandis que les utilisateurs sont le pouvoir exécutif. 

Ainsi donc, une monnaie libre pair à pair propulsée par Duniter ne peut plus être arrêtée sans un mouvement conjoint d'une large majorité de ses utilisateurs.

Enfin, Duniter, Sakia et Cesium étant des logiciels libres, les utilisateurs de Ğ1 bénéficient de l'ensemble des libertés leur permettant de maintenir et utiliser leur monnaie commune.

