+++
aliases = [ "g1-test-redemarree",]
date = 2017-06-07
title = "Ğ1-Test : la blockchain de test"

[extra]
thumbnail = "/PELICAN/images/g1-test.png"

[taxonomies]
authors = [ "cgeek",]
tags = [ "Ğ1", "Ğ1-Test",]
+++

# Ğ1-Test : la blockchain de test

La blockchain de test est **officiellement redémarrée**, les premiers blocs viennent d'être calculés.

Le réseau est constitué de 7 membres initiaux, avec des paramètres sensiblement [équivalents à ceux de la *Ğ1*](@/blog/2017-03-08-g1-go.md).

## Quelle utilité ?

Si l'on dispose déjà d'une monnaie « de production », la Ğ1 (prononcez « june »), alors pourquoi avec une 2ème monnaie, la *Ğ1-Test* ?

Comme son nom l'indique, la monnaie Ğ1-Test est faite pour les *tests* : c'est le bac à sable dans lequel nous pouvons déployer les nouvelles versions de Duniter afin de les tester, avant d'intervenir sur le réseau principal (le réseau Ğ1).

Il serait en effet dommage de s'apercevoir qu'une nouvelle version contiendrait un bug majeur, et de déployer cette version directement sur le réseau Ğ1 : les dégâts pourraient être considérables (réseau inopérant, monnaie bloquée, etc.), alors que l'on aurait pu détecter les problèmes en passant d'abord par la monnaie de test. De plus, une nouvelle version met du temps à se déployer : il faut que chaque utilisateur mette à jour son logiciel Duniter, ce qui peut prendre des jours, des semaines ou des mois selon le nombre d'utilisateurs.

Le réseau de test est donc l'antichambre du réseau principal, il est un garant de sa stabilité.

Ce bac à sable profite également aux clients Duniter, tels [Sakia](http://sakia-wallet.org/), [Cesium](https://github.com/duniter/cesium) ou [Silkaj](https://github.com/duniter/silkaj), qui peuvent tester de nouvelles fonctionnalités sans risquer de faire perdre leur monnaie aux utilisateurs, ou de provoquer des bugs rendant le logiciel inutilisable.

## Est-ce une monnaie qui prendra de la valeur ?

Nous avons choisi les paramètres de Ğ1-Test **de façon à ce qu'elle ne prenne pas de valeur, ou très peu** : la monnaie se crée à rythme bien plus élevé que la monnaie principale, rendant la possibilité d'épargner minimale.

## Puis-je m'y inscrire ?

Oui, et vous aurez beaucoup plus de facilité à vous inscrire que sur le réseau Ğ1 : la licence ne s'y applique pas, vous pouvez être certifié et certifier de façon légère sans que cela gêne qui que ce soit.
 
Vous pouvez pour cela utiliser Sakia ou [Cesium pour Ğ1-Test](https://g1-test.duniter.org/cesium).

Pour lancer Sakia sur Ğ1-Test, utilisez la commande :

```bash
sakia --currency=g1-test
```
 
Notez également que le réseau Ğ1-Test pourra être redémarré de zéro si cela s'avère nécessaire.

## La certification est-elle automatique ?

Non : comme dans la Ğ1, vous aurez à demander des certifications de la part des membres actuels de la monnaie de test. Si vous ne connaissez personne, vous pouvez poster un message sur un réseau social comme Mastodon ou Diaspora* avec le tag #ğ1-test pour attirer quelques certifieurs. Vous aurez probablement à vous présenter un minimum pour les convaincre de vous certifier, c'est une habitude prise dans les monnaies de test précédentes.

Et puis, cela prépare au fait que la certification est tout sauf automatique dans la Ğ1, le réseau de production.

## Quels sont les paramètres de la monnaie ?

Ce sont grosso-modo les mêmes que la Ğ1, mais avec des échéances plus courtes :

```yaml
currency: "g1-test"
c: 0.0488                  # 4,88%
dt: 86400                  # DU toutes les 24h précises
dtReeval: 631152           # DU réévalué tous les 7,305 jours
ud0: 1000                  # 10,00 Ğ1
udTime0: 1496527200        # 04 Juin 2017 00h00 : 1er DU
udReevalTime0: 1496570400  # 04 Juin 2017 12h00 : 1ère réévaluation du DU
sigPeriod: 86400           # 24 heures d'attente
sigStock: 100              # 100 certifications
sigWindow: 1051920         # 12,175 jours
sigValidity: 12623040      # 146,1 = plus de 4 mois
sigQty: 5                  # 5 signatures
idtyWindow: 1051920        # 12,175 jours
msWindow: 1051920          # 12,175 jours
xpercent: 0.8              # 80%
msValidity: 6311520        # 73,05 jours
stepMax: 5                 # 5 étapes
medianTimeBlocks: 24       # 24 blocs = retard de 24/2 = 12 blocs = 12*2'30 = 30min
avgGenTime: 150            # 2'30" de calcul par bloc en moyenne
dtDiffEval: 12             # Réévaluation de la difficulté tous les 12 blocs => 30 minutes
percentRot: 0.67           # => 33,5% des calculateurs sont exclus
```

## Comment ajouter mon nœud au réseau Ğ1-Test ?

Rendez-vous sur la page [Forger des blocs](@/wiki/forger-des-blocs/_index.md), cliquez sur le bouton orange « Ğ1-TEST » pour télécharger la dernière version disponible sur ce réseau. 

Puis, synchronisez-vous sur le réseau :

### Avec Duniter Desktop :

![Synchonize this node](/PELICAN/images/gune-test-redemarree/sync.png)

### Avec Duniter Server :

```bash
duniter sync g1-test.duniter.org 443
```

A bientôt sur Ğ1-Test ! 

