+++
aliases = [ "duniter-pourquoi-comment",]
date = 2018-01-24
title = "Duniter, pourquoi, comment ?"

[extra]
thumbnail = "/PELICAN/images/logos/duniter.png"

[taxonomies]
authors = [ "inso",]
tags = [ "gitlab",]
category = [ "Moteur blockchain",]
+++

# Duniter, pourquoi, comment ?


L’année 2017 a vu le projet Duniter démarrer sa première monnaie en production, la **ğ1**. Jusqu’à présent, les efforts étaient donc réalisés autour d’un objectif : la mise en production de la première cryptomonnaie libre 100% P2P (pair à pair). L’année s’est écoulée, et nous sommes passés de 59 membres à plus de 600 membres. Des réseaux locaux de la ğ1 se développent, le projet commence à se faire connaître de plus en plus largement.  

Durant l’année 2017, on entendait régulièrement la même conversation autour du projet : 

> C’est quoi cette cryptomonnaie Duniter ?

> C’est un générateur de monnaie libre (où chacun est égal face à la création monétaire), avec une toile de confiance, une blockchain sans course à la puissance... 

> Ah wow, ça a l’air pas mal, mais du coup ça marche comment ? Comment est-ce que vous vous défendez contre les attaques sibylles ? Comment fonctionne la blockchain  ? C’est compliqué de devenir membre ? ...

Il est temps pour l’année 2018 d’expliquer en détail et plus largement le fonctionnement de Duniter. Nous démarrons donc une série d’articles en 12 épisodes qui permettra à chacun d’avoir une vision d’ensemble complète du pourquoi et du comment de Duniter.

## Une monnaie « libre » ?

Duniter cherche donc à émettre une monnaie libre **au sens de [la théorie relative de la monnaie](https://trm.creationmonetaire.info)**. Elle est émise par un Dividende Universel (DU) quotidien, de manière symétrique entre ses membres, passés, présents et futurs.  
Concrètement, chacun co-crée le même pourcentage de la masse monétaire en un temps donné (40 ans dans la ğ1). Il existe plein d’arguments en faveur d’une telle forme d’émission monétaire :

- La monnaie est co-créée par chacun, et est assimilable à **une forme de revenu de base financé par la création monétaire**
- L’émission monétaire ne privilégie personne, que ce soit en différents endroits à un instant t, ou entre des périodes séparées dans le temps
- L’outil monétaire étant co-créé, il permet de **mesurer les échanges à égalité** entre chaque individu, créant une véritable « monnaie commune »

Ce type de monnaie a des propriétés très particulières du fait du Dividende Universel : 

- La monnaie « tourne », celle **émise par les morts est remplacée petit à petit par la monnaie émise par les vivants**  
- La masse monétaire converge (vers un nombre total d’environ 3800 DU pour la ğ1) pour chaque membre émettant de la monnaie

Nous aurons l’occasion d’aborder tout ceci plus en détail dans les épisodes suivants.

## Une « Toile de confiance » ?

Afin d’identifier qui crée de la monnaie, et de s’assurer que chacun ne crée sa part qu’une seule fois, une toile de confiance est mise en œuvre. Ce terme a été repris de [PGP](https://fr.wikipedia.org/wiki/Pretty_Good_Privacy), un logiciel de chiffrement cryptographique, mais est finalement très différent dans Duniter. La toile de confiance y atteste **de la correspondance entre une personne physique et un compte**.

La toile de confiance de Duniter est construite par ses membres. A l’initialisation, elle a été construite à partir de 59 membres qui se sont reconnus entre eux. Puis, chaque membre a pu reconnaître de nouveaux individus à travers l’émission de « certifications ». Lorsqu’un nouveau membre « entre » dans la toile, il peut à son tour en faire entrer de nouveaux. 

Ce processus **ne peut pas s’étendre à l’infini** : la toile a **un diamètre maximum**. En effet, chacun a un nombre limité de certifications à émettre, et ne peut pas être trop « loin » des autres membres de la toile.
Pour en aborder le fonctionnement, et en attendant les articles de la série qui décriront de manière précise toute cette mécanique, je vous invite à lire l’article écrit en 2016, « [Introduction à la gestion des membres](@/wiki/toile-de-confiance/introduction-a-la-toile-de-confiance.md) »

> *la toile de confiance c'est l'ensemble des liens qui relient des êtres humains à d'autres être humains. Je connais qqu'un qui connaît qqu'un qui connaît qqu'un. Le bruit courrait que nous serions tous à 5 pas les uns des autres*  
-- [@paidge](https://www.youtube.com/watch?v=coFgDw2yH0g)  --

## Une blockchain sans « minage » ?

La blockchain de Duniter avance grâce aux nœuds mis à disposition par les membres pour faire fonctionner le réseau. Ces nœuds **calculent des blocs valides**, mais **ne minent rien**. Évidemment, puisque la monnaie est créée par le Dividende Universel ! 

Qu’un membre ait un nœud actif ou non, **il participe toujours à la co-création monétaire.** Les membres sont incités à faire tourner un nœud simplement pour sécuriser le réseau et faire fonctionner la monnaie créée par leur dividende, qui est leur moyen d’échange.

Pour contribuer aux coûts, un service de redistribution a été développé. De la monnaie peut être envoyée à un [service](https://remuniter.cgeek.fr/), qui va automatiquement redistribuer de la monnaie aux membres calculant des blocs. Mais la monnaie est ici redistribuée, pas créée. De plus, ce service ne fait pas partie du cœur de la monnaie, et fonctionne uniquement par les dons.

Plus il y a de membres calculant, plus la blockchain est robuste et difficile à corrompre. Il faut donc que le logiciel coûte **le moins cher possible en terme d’énergie** pour le faire fonctionner.  
Pour limiter le coût énergétique du calcul, l’algorithme utilise un système de **personnalisation de la difficulté de calcul.** Ceux qui ont un ordinateur plus rapide que les autres sont ralentis. L’objectif étant que même un raspberry pi puisse participer au calcul de blocs.
Nous aurons là encore l’occasion d’aborder plus en détail le fonctionnement de la blockchain dans un article ultérieur !
                           
## La vue d’ensemble est posée

Vous l’aurez compris, **Duniter se différencie sur le plan humain.** La création monétaire est réalisée par les humains, et non pas par les machines, ni les entreprises. Ce sont les humains qui, en pair à pair, se reconnaissent et valident le droit de co-créer le DU. 

La situation idéale en termes de répartition réseau serait une machine calculante par humain. Une telle répartition permettrait à chacun de participer au calcul de la blockchain et de faire valoir son droit sur l'évolution du réseau.

Vous noterez que la monnaie générée par Duniter ne s’appelle pas le Duniter, mais **la ğ1**. C’est pour différencier le protocole de la monnaie. **La technique et l’économie sont deux sujets distincts !**

Duniter (DU – unit – er) est une manière de dire « **Machine à calculer des DU** ». Le logiciel permet d’instancier la blockchain d’une monnaie, ici la ğ1. Il permet aux humains qui se sont reconnus via la toile de confiance sur cette blockchain de calculer la génération des DU des humains. 

**C'est bien l’action humaine de reconnaissance de ses pairs et de mise en œuvre de nœuds qui permet de co-créer la monnaie.**

## La suite...

Nous espérons que vous suivrez avec attention les prochains articles qui sortiront permettant d'expliquer Duniter dans le détail.

Nous vous retrouverons le mois prochain pour un second article, qui vous présentera les logiciels existants et compatibles avec la ğ1 !

