+++
aliases = [ "archives",]
date = 2017-11-16
weight = 20
title = "Archives"

[taxonomies]
authors = [ "inso",]
+++

# Archives

Cette page a pour objectif de référencer les différentes réflexions techniques et philosophiques qui ont amené à l'état actuel de Duniter.

### Réflexion sur les grands nombres

 * [Topic original](https://forum.duniter.org/t/thought-about-big-numbers/691?u=inso)
 * **TLDR** :  Duniter génère de la monnaie exponentiellement. Comme gérer ces unités de monnaie de façon à limiter la taille des nombres gérés par le code ? Quelles sont les réflexions qui ont abouties à la mise en place du nettoyage des sources de monnaie inférieures à 1.00 Ğ1 ?

### Nombres de chiffres composant le DU et génération à chaque équinoxe

 * [Topic original](https://forum.duniter.org/t/nombre-de-chiffres-requis-pour-le-du/1498)
 * **TLDR** : Une monnaie doit être suffisamment sécable de manière à pouvoir mesurer des petites valeurs comme de très grandes valeurs. Usuellement, les unités monétaires descendent jusqu'au centime. Comment est-ce que cette réflexion impacte-t-elle le nombre de chiffres du Dividende Universel ?

### Taille de la Toile de confiance 

 * [Topic original](https://forum.duniter.org/t/etude-de-la-wot/977)
 * **TLDR** : Il existe de nombreux paramètres à la toile de confiance. Comment définir leur valeur de la manière la plus cohérente et rigoureuse possible ? Quels sont les paramètres optimums permettant de construire une toile de confiance à taille humaine, mais la plus large possible ?

### Réflexion sur les anti-certifications

 * [Topic original](https://forum.duniter.org/t/some-suggestion-for-finetuning-the-certification-parameters/644)
 * **TLDR** : Les anti-certifications ont été évoquées plusieurs fois comme possibilité de se défendre contre les attaques sybilles. Elles n'ont jamais été implémentées : considérées comme un outil agressif, elles auraient permis de menacer un membre donné de perdre son statut de membre. Les certifications sont donc comme les paroles : une fois données, elles ne peuvent être reprises, mais oubliées avec le temps (par leur expiration).

### Formules pour le DU

 * [Topic original](https://forum.duniter.org/t/formule-alternative-pour-le-du/762/95)
 * **TLDR** : A l'origine, Duniter utilisait la formule de la TRM pour calculer le Dividende Universel. Ce topic montre la réflexion qui a poussé à la découverte de la formule d'ordre 2 du calcul du DU : `DU(t) + c² (M/N)(t)`

### Equilibrage du calcul des blocs

 * [Topic original](https://forum.duniter.org/t/block-issuance-distribution/1312)
 * **TLDR** : Duniter cherche à équilibrer entre les membres la répartition des blocs calculés, en distribuant des pénalités à ceux qui calculent trop vite. Différentes méthodes sont possibles, et elles n'ont pas toutes le même impact en terme de stabilité du réseau et d'équité entre membres.

### Clé déléguée au calcul de blocs
 * [Topic original](https://forum.duniter.org/t/idee-cle-deleguee-au-calcul-de-blocs/2698)
 * **TLDR** : L’idée de la clé déléguée consiste à pouvoir déléguer le calcul des blocs à une sous-clé, afin de mettre le trousseau principal en sécurité. Mais si un membre est capable de créer une clé qui calcule sans risque pour son propre compte, alors il peux très bien la céder à uen Organisation qui s’occupera de calculer à ma place. Et cette même Organisation de réitérer l’opération avec plein d’autres membres (moyennant quelques UNL), qui dispose alors d’une armée de clés et de machines pour calculer tous les blocs, et donc prendre le contrôle de la blockchain Ğ1. Autant dire qu’il a pouvoir de vie ou de mort sur la monnaie. Pour éviter cela, une clé déléguée pourra révoquer le compte membre qui lui est associé.

